/* SPDX-License-Identifier: (GPL-2.0 OR BSD-3-Clause) */
/*
 * Copyright (c) 2021 MediaTek Inc.
 */

#ifndef MTK_DMX_LOG_DVB_CORE_H
#define MTK_DMX_LOG_DVB_CORE_H

#include <linux/dvb/dmx2.h>
#include <media/dvb_demux2.h>
#include <media/dvb_dvr2.h>
#include <media/dvb_ringbuffer.h>

const char *dmx2_alp_data_type_2_str(
		enum dmx2_alp_data_type type);
const char *dmx2_ip_data_type_2_str(
		enum dmx2_ip_data_type type);

const char *dmx2_main_filter_type_2_str(
		enum dmx2_main_filter_type type);

const char *dvb_device_type_2_str(
		enum dvb_device_type type);

const char *dmx2_ioctl_2_str(
		unsigned int cmd);

void dvb_ringbuffer_dump_info(
		int log_level,
		struct dvb_ringbuffer *ringbuf);

#endif /* MTK_DMX_LOG_DVB_CORE_H */
